Package org.opensaml.messaging.context

# Class BaseContext.ContextSetNoRemoveIteratorDecorator

java.lang.Object
org.opensaml.messaging.context.BaseContext.ContextSetNoRemoveIteratorDecorator

All Implemented Interfaces:
  `Iterator<BaseContext>`

Enclosing class:
  BaseContext

protected class BaseContext.ContextSetNoRemoveIteratorDecorator extends Object implements Iterator<BaseContext>
Iterator decorator which disallows the remove() operation on the iterator.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Iterator<BaseContext>`
`wrappedIterator`
The decorated iterator.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ContextSetNoRemoveIteratorDecorator(Iterator<BaseContext> iterator)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`BaseContext`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### wrappedIterator

private Iterator<BaseContext> wrappedIterator
The decorated iterator.

## Constructor Details

### ContextSetNoRemoveIteratorDecorator

protected ContextSetNoRemoveIteratorDecorator(Iterator<BaseContext> iterator)
Constructor.

Parameters:
  `iterator` - the iterator instance to decorator

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<BaseContext>`

### next

public BaseContext next()

Specified by:
  `next` in interface `Iterator<BaseContext>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<BaseContext>`